Bug 1648360 (python-fsleyes-props) - Review Request: python-fsleyes-props - [wx]Python event programming framework
Summary: Review Request: python-fsleyes-props - [wx]Python event programming framework
Keywords:
Status: CLOSED ERRATA
Alias: python-fsleyes-props
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-09 14:23 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-18 03:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-18 02:57:21 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-09 14:23:08 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-fsleyes-props/python-fsleyes-props.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-fsleyes-props/python-fsleyes-props-1.6.4-1.fc29.src.rpm

Description: 
fsleyes-props is a library which is used by used by FSLeyes, and which allows
you to:

- Listen for change to attributes on a python object,
- Automatically generate wxpython widgets which are bound to attributes of
  a python object
- Automatically generate a command line interface to set values of the
  attributes of a python object.


Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2018-11-09 14:24:10 UTC
Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30755793

It'll need a build root override for python-fslpy and python-fslpy-widgets to build for F28/29

Comment 2 Robert-André Mauchin 2018-11-09 15:23:09 UTC
 - I'd recommend again %bcond_with

 Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 67 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-fsleyes-
     props/review-python-fsleyes-props/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -fsleyes-props , python-fsleyes-props-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fsleyes-props-1.6.4-1.fc30.noarch.rpm
          python-fsleyes-props-doc-1.6.4-1.fc30.noarch.rpm
          python-fsleyes-props-1.6.4-1.fc30.src.rpm
python3-fsleyes-props.noarch: W: spelling-error Summary(en_US) wx -> ex, w, x
python3-fsleyes-props.noarch: W: spelling-error %description -l en_US wxpython -> python, Python
python-fsleyes-props-doc.noarch: W: spelling-error Summary(en_US) wx -> ex, w, x
python-fsleyes-props.src: W: spelling-error Summary(en_US) wx -> ex, w, x
python-fsleyes-props.src: W: spelling-error %description -l en_US wxpython -> python, Python
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 3 Ankur Sinha (FranciscoD) 2018-11-09 15:40:51 UTC
(In reply to Robert-André Mauchin from comment #2)
>  - I'd recommend again %bcond_with

Maybe I haven't understood how these are to be used properly. We can't use them in koji, can we? So they're only useful for testing in mock and then must be removed before we commit to SCM, right?

> 
>  Package approved.
> 

Thanks for the review, Robert! Requested SCM: https://pagure.io/releng/fedora-scm-requests/issue/8772

Comment 4 Gwyn Ciesla 2018-11-09 15:45:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fsleyes-props

Comment 5 Fedora Update System 2018-11-09 16:44:27 UTC
python-fsleyes-props-1.6.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0a500d2554

Comment 6 Fedora Update System 2018-11-09 16:44:32 UTC
python-fsleyes-props-1.6.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-82141a6b52

Comment 7 Fedora Update System 2018-11-10 05:01:23 UTC
python-fsleyes-props-1.6.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-82141a6b52

Comment 8 Fedora Update System 2018-11-10 05:09:46 UTC
python-fsleyes-props-1.6.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0a500d2554

Comment 9 Fedora Update System 2018-11-18 02:57:21 UTC
python-fsleyes-props-1.6.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-18 03:55:51 UTC
python-fsleyes-props-1.6.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.